@charset "utf-8";
/* CSS Document */



/* ==============================================================

	header

=============================================================== */
header{
	max-width: 1240px;
	margin: 0 auto;
	padding: 20px;
	box-sizing: border-box;
}
header h1 a{
	font-size: clamp( 20px, 2.5vw, 28px);
	font-weight: bold;
	color: #444;			
}
header h1 a:hover{
	text-decoration: none;
}


/* ==============================================================

	cont

=============================================================== */
#cont{
	max-width: 1240px;
	margin: 0 auto;
	padding: 0 20px;
	box-sizing: border-box;
	display: flex;
	justify-content: center;
}
#cont main{
	width: calc(100% - 300px);
	padding: 0 40px 0 0;
	box-sizing: border-box;
}
#cont #sub{
	width: 300px;
}
@media (max-width:900px){
	#cont main{
		width: calc(100% - 240px);
		padding: 0 30px 0 0;
	}
	#cont #sub{
		width: 240px;
	}
}
@media (max-width:768px){
	#cont{
		display: block;	
	}
	#cont main{
		width: 100%;
		margin: 0 0 50px;
		padding: 0;
	}
	#cont #sub{
		width: 100%;
	}
}


/* ==============================================================

	sidebar

=============================================================== */
#sub h2 {
  margin: 40px 0 20px;
  padding: 10px 15px;
  background: #f3f3f3;
  font-size: clamp(18px,2vw,22px);
  font-weight: bold;
  line-height: 1.5;
}
#sub .wp-block-search__label {
  font-size: 16px;
  font-weight: bold;
  margin: 0 0 5px;
}
#sub .wp-block-archives-list li {
  border-bottom: 1px solid #ccc;
  position: relative;
}
#sub .wp-block-archives-list li a {
  display: block;
  padding: 12px 10px;
}
#sub .wp-block-archives-list li span {
  position: absolute;
  left: 55px;
  top: 50%;
  transform: translateY(-50%);
}
#sub .wp-block-categories-list .cat-item {
  border-bottom: 1px solid #ccc;
  position: relative;
}
#sub .wp-block-categories-list .cat-item a {
  display: block;
  padding: 12px 10px;
}
#sub .wp-block-latest-posts__list li {
  border-bottom: 1px solid #ccc;
  position: relative;
}
#sub .wp-block-latest-posts__list li a {
  display: block;
  padding: 12px 10px;
}


/* ==============================================================

	footer

=============================================================== */
footer{
	background: #fafafa;
	margin: 100px auto 0;
	padding: 60px 20px;
	text-align: center;
}
footer .ft__sitename{
	font-size: 20px;
	font-weight: bold;
}
footer .copyright{
	font-size: 12px;
}


/* ==============================================================

	blog

=============================================================== */
#blog #visual{
	margin: 20px 0;
	padding: 120px 20px;
}
#blog #visual h1{
	text-align: center;
	font-size: clamp(20px, 2.5vw, 32px);
	font-weight: bold;
	line-height: 1.5;
	color: #fff;
}
@media (max-width:768px){
	#blog #visual{
		margin: 10px 0;
		padding: 60px 20px;
	}
}

/* ==============================================================

	archive-list

=============================================================== */
p.year,
p.cat{
	margin: 0 0 10px;
	padding: 10px 15px;
	background: #f3f3f3;
	font-size: clamp(18px, 2.0vw, 22px);
	font-weight: bold;
	line-height: 1.5;
}
.archive-list .archive-list-item {
  border-bottom: 1px dotted #ccc;
}
.archive-list .archive-list-item a {
  display: flex;
  padding: 20px 0;
  text-decoration: none;
  transition: 0.3s;
}
.archive-list .archive-list-item a .img {
  width: 120px;
}
.archive-list .archive-list-item a .img img {
  max-width: 100%;
  height: auto;
}
.archive-list .archive-list-item a .data {
  width: calc(100% - 20%);
  padding: 0 0 0 20px;
  box-sizing: border-box;
}
.archive-list .archive-list-item a .data ul li {
  font-size: 12px;
  color: #444;
  line-height: 1.4;
  margin: 0 10px 0 0;
}
.archive-list .archive-list-item a .data h2 {
  font-size: clamp(20px,2vw,24px);
  font-weight: bold;
  color: #444;
  line-height: 1.4;
  margin: 5px 0;
}
.archive-list .archive-list-item a .data .date {
  font-size: 12px;
  color: #444;
  line-height: 1.4;
}
.archive-list .archive-list-item a .data .text {
  font-size: 14px;
  color: #444;
}
@media (min-width:769px){
	.archive-list .archive-list-item a:hover {
	  transform: translateX(10px);
	}
}
.archive-list .no-post {
  font-size: 16px;
  padding: 40px 0;
  text-align: center;
}



/* ==============================================================

	blog-single

=============================================================== */
#blog-single #cont main #sec01 {
  box-shadow: 0px 3px 16px -4px rgba(0,0,0,0.3);
}
#blog-single #cont main #sec01 #pager {
  position: relative;
  text-align: center;
  margin: 4em 0 30px;
  padding: 0;
  border: 1px #ccc solid;
  font-size: 1.167em;
}
@media (max-width: 768px) {
  #blog-single #cont main #sec01 #pager {
    margin: 2em 0 30px;
  }
}
#blog-single #cont main #sec01 #pager li::marker {
  content: none;
}
#blog-single #cont main #sec01 #pager li {
  width: 33.3%;
  box-sizing: border-box;
  list-style: none;
}
#blog-single #cont main #sec01 #pager li.prev {
  float: left;
}
#blog-single #cont main #sec01 #pager li.next {
  float: right;
}
#blog-single #cont main #sec01 #pager li.stay {
  margin: 0 auto;
  border-left: 1px #ccc solid;
  border-right: 1px #ccc solid;
}
#blog-single #cont main #sec01 #pager a {
  color: #444;
  text-decoration: none;
  display: block;
  padding: 10px 0;
}
#blog-single #cont main #sec01 #pager a:hover {
  background: #f2f2f2;
}
#blog-single #cont main #sec01 .thumnail-img img {
  width: 100%;
  max-width: auto;
  height: auto;
}
#blog-single #cont main #sec01 .post-title {
  padding: 40px;
}
@media (max-width: 768px) {
  #blog-single #cont main #sec01 .post-title {
    padding: 20px;
  }
}
#blog-single #cont main #sec01 .post-title h1 {
  font-size: clamp(24px,2.5vw,32px);
  font-weight: bold;
  line-height: 1.5;
  margin: 0 0 10px;
}
#blog-single #cont main #sec01 .post-title .fl-box {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
#blog-single #cont main #sec01 .post-title .fl-box .cat-list {
  margin: 0 0 0 10px;
  padding: 0 0 0 10px;
  border-left: 1px solid #ccc;
  display: flex;
  align-items: center;
}
#blog-single #cont main #sec01 .post-title .fl-box .cat-list .cat-list-item {
  margin: 0 10px 0 0;
}
#blog-single #cont main #sec01 .artice-post {
  padding: 0 40px 40px;
}
@media (max-width: 768px) {
  #blog-single #cont main #sec01 .artice-post {
    padding: 0 20px 20px;
  }
}
#blog-single #cont main #sec01 .artice-post h2 {
  font-size: clamp(20px,2.25vw,28px);
  font-weight: bold;
  line-height: 1.5;
  border-bottom: 2px solid #444;
  margin: 2.5em 0 1.25em;
  padding: 10px 0;
}
#blog-single #cont main #sec01 .artice-post h2:first-of-type {
  margin: 0 0 1.25em;
}
#blog-single #cont main #sec01 .artice-post h3 {
  font-size: clamp(20px,2.25vw,24px);
  font-weight: bold;
  line-height: 1.5;
  border-left: 4px solid #444;
  margin: 2.5em 0 1.25em;
  padding: 5px 10px;
}
#blog-single #cont main #sec01 .artice-post h4 {
  font-size: clamp(20px,2.25vw,24px);
  font-weight: bold;
  line-height: 1.5;
  margin: 2.5em 0 1.25em;
}
#blog-single #cont main #sec01 .artice-post ul {
  margin: 0 0 1.5em;
  padding: 0 0 0 1.5em;
}
#blog-single #cont main #sec01 .artice-post ul li {
  font-size: 16px;
  list-style: disc;
}
#blog-single #cont main #sec01 .artice-post ol {
  margin: 0 0 1.5em;
  padding: 0 0 0 1.5em;
}
#blog-single #cont main #sec01 .artice-post ol li {
  font-size: 16px;
  list-style: decimal;
}
#blog-single #cont main #sec01 .artice-post p {
	font-size: 16px;
	margin: 0 0 2em;
	text-align: justify;
	text-justify: inter-ideograph;
}
#blog-single #cont main #sec01 .artice-post em {
  font-style: italic;
}
#blog-single #cont main #sec01 .artice-post a {
  text-decoration: underline;
}
#blog-single #cont main #sec01 .artice-post a:hover {
  text-decoration: none;
}
#blog-single #cont main #sec01 .artice-post .alignleft {
  float: left;
  padding: 0 20px 20px 0;
}
#blog-single #cont main #sec01 .artice-post .alignright {
  float: right;
  padding: 0 0 20px 20px;
}
#blog-single #cont main #sec01 .artice-post img.aligncenter {
  display: block;
  margin: 0 auto;
}